#!/bin/bash

#set -x 

mycalc()  
{
	calc -- "$1"|tr -d '\t~' 
}

KAP="$1"; shift # kap file

[ -z "$KAP" ] && echo "usage: $0 <KAP file>" && exit 1

DTM_STR=(`cat $KAP|grep -a DTM/| tr -d '\r'`)
echo ${DTM_STR}
DTM=(`echo ${DTM_STR/DTM\/}|tr ',' ' '`)

if [ -z "$DTM_STR" -o `mycalc "${DTM[0]}+${DTM[1]}"` == '0' ]; then
	GDAL_CMD="gdal_translate -of VRT -expand rgba $KAP $KAP.vrt"
else
	REFS=(`cat $KAP|grep -a REF/| tr -d '\r'`)
	GDAL_CMD="gdal_translate -a_srs '+proj=latlong +datum=WGS84 +no_defs'"
	for REF_STR in ${REFS[@]}; do 
		GCP=(`echo ${REF_STR}|tr ',/' '  '`)
		echo ${REF_STR}
#		echo "${GCP[@]}"
		GDAL_CMD="${GDAL_CMD} -gcp ${GCP[2]} ${GCP[3]} `mycalc "${GCP[5]}+(${DTM[1]}/3600)"` `mycalc "${GCP[4]}+(${DTM[0]}/3600)"`"
	done
	GDAL_CMD="${GDAL_CMD} -of VRT -expand rgba $KAP $KAP.vrt"
fi

echo "$GDAL_CMD"
eval "$GDAL_CMD"

#gdal2tiles.py $KAP.vrt $KAP.tiles

